Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class StringProperty.Maker

    java.lang.Object
      org.apache.fop.fo.properties.PropertyMaker
          org.apache.fop.fo.properties.StringProperty.Maker

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  AFPAttribute

Enclosing class:
  StringProperty

    public static class StringProperty.Maker

extends PropertyMaker

Inner class for making instances of StringProperty

Field Summary

Fields inherited from class org.apache.fop.fo.properties.PropertyMaker
`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

Constructor Summary
`StringProperty.Maker(int propId)`

Method Summary
`Property` | `make(PropertyList propertyList, java.lang.String value, FObj fo)` Make a new StringProperty object

Methods inherited from class org.apache.fop.fo.properties.PropertyMaker
`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertProperty, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringProperty.Maker

    public StringProperty.Maker(int propId)

Parameters:
  `propId` - the id of the property for which a Maker should be created

Method Detail

### make

    public Property make(PropertyList propertyList,
                         java.lang.String value,
                         FObj fo)

  Make a new StringProperty object

  Overrides:
    `make` in class `PropertyMaker`
  Parameters:
    `propertyList` - not used
    `value` - String value of the new object
    `fo` - not used
  Returns:
    the StringProperty object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.